MobiariDocs

Save the brand system

PUT
/stores/{store_id}/brand-system

Replaces the current system and records a new version. The e-mail brand kit is derived from it in the same write.

Authorization

bearer_auth
AuthorizationBearer <token>

Authorization: Bearer <token>. Either a session access token from POST /auth/login (refresh it with POST /auth/refresh) or a store API token (mobi_st_…). A store API token works only for the store it was issued in, and can do at most what its issuing user can there, narrowed to the scopes it was issued with.

In: header

Path Parameters

store_id*string

Store id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/brand-system" \  -H "Content-Type: application/json" \  -d '{    "system": {}  }'
{
  "system": {
    "assets": {
      "favicon_url": null,
      "images": [],
      "logo_dark_url": null,
      "logo_url": null,
      "logo_width": 0
    },
    "changelog": [],
    "colors": {
      "accents": [],
      "aliases": {
        "action_primary": "",
        "action_primary_hover": "",
        "action_primary_text": "",
        "action_secondary": "",
        "action_secondary_text": "",
        "border": "",
        "border_strong": "",
        "error": "",
        "link": "",
        "sale": "",
        "success": "",
        "surface_card": "",
        "surface_inverse": "",
        "surface_muted": "",
        "surface_page": "",
        "text_body": "",
        "text_caption": "",
        "text_inverse": "",
        "text_muted": "",
        "text_strong": ""
      },
      "brand": [],
      "rules": [],
      "scales": [],
      "semantic": []
    },
    "components": [],
    "effects": {
      "borders": [],
      "durations": [],
      "easing": [],
      "rings": [],
      "rules": [],
      "shadows": []
    },
    "email": {
      "button_shape": "rounded",
      "width": 600
    },
    "footer": {
      "address": "",
      "company": "",
      "extra": "",
      "social": []
    },
    "guide_md": "",
    "iconography": {
      "glyphs": [],
      "notes": "",
      "set": "",
      "stroke": ""
    },
    "identity": {
      "audience": "",
      "name": "",
      "origin": "",
      "since": "",
      "story": "",
      "tagline": "",
      "values": [],
      "wordmark": "",
      "wordmark_rules": ""
    },
    "imagery": {
      "avoid": [],
      "frame_radius": "",
      "style": "",
      "subjects": [],
      "treatment": []
    },
    "open_questions": [],
    "radii": [],
    "schema_version": 0,
    "sources": [],
    "spacing": {
      "base_px": 0,
      "container_max": "",
      "gutters": "",
      "rules": [],
      "scale": []
    },
    "typography": {
      "base_size_px": 0,
      "families": [],
      "font_sources": [],
      "heading_transform": "",
      "heading_weight": 0,
      "leading": [],
      "rules": [],
      "scale": [],
      "tracking": [],
      "weights": []
    },
    "updated_at": "",
    "voice": {
      "casing": [],
      "conventions": [],
      "do": [],
      "dont": [],
      "emoji": false,
      "language": "",
      "person": "",
      "sample_copy": [],
      "signoff": "",
      "tone": []
    }
  },
  "version": 0,
  "versions": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "prompt": "string",
      "summary": "string",
      "version": 0
    }
  ]
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}